/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;

import com.eviware.soapui.model.workspace.Workspace;
import com.eviware.soapui.support.UISupport;

public class SaveAllProjectsAction extends AbstractAction
{
   private final Workspace workspace;

	public SaveAllProjectsAction( Workspace workspace )
   {
      super( "Save All Projects" );
		this.workspace = workspace;
      putValue( Action.SHORT_DESCRIPTION, "Saves all projects" );
      putValue( Action.ACCELERATOR_KEY, UISupport.getKeyStroke( "ctrl alt S"));
   }

   public void actionPerformed(ActionEvent e)
   {
      workspace.save( false );
   }
}