/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.mockoperation;

import java.awt.event.ActionEvent;

import com.eviware.soapui.impl.wsdl.actions.iface.AbstractSwingAction;
import com.eviware.soapui.impl.wsdl.mock.WsdlMockOperation;
import com.eviware.soapui.support.UISupport;

public class NewMockResponseAction extends AbstractSwingAction<WsdlMockOperation>
{
	public NewMockResponseAction( WsdlMockOperation operation )
	{
		super( "New MockResponse", "Creates a new MockResponse for this MockOperation", "/addToMockService.gif", operation );
	}

	@Override
	public void actionPerformed( ActionEvent arg0, WsdlMockOperation mockOperation )
	{
		String name = UISupport.prompt( "Enter name of new MockResponse", getName(), "MockResponse " + 
					(mockOperation.getMockResponseCount()+1) );
		
		if( name != null )
		{
			UISupport.showDesktopPanel( mockOperation.addNewMockResponse( name, true ));
		}
	}
}
