/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.testcase;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;

import com.eviware.soapui.impl.wsdl.loadtest.WsdlLoadTest;
import com.eviware.soapui.impl.wsdl.testcase.WsdlTestCase;
import com.eviware.soapui.support.UISupport;

/**
 * Adds a new WsdlLoadTest to a WsdlTestCase
 * 
 * @author Ole.Matzura
 */

public class AddNewLoadTestAction extends AbstractAction
{
   private final WsdlTestCase testCase;

	public AddNewLoadTestAction( WsdlTestCase testCase ) 
   {
      super( "New LoadTest" );
		this.testCase = testCase;
      putValue( Action.SHORT_DESCRIPTION, "Creates a new LoadTest for this TestCase" );
      putValue( Action.ACCELERATOR_KEY, UISupport.getKeyStroke( "menu N" ));
   }
   
   public void actionPerformed(ActionEvent e)
	{
      String name = UISupport.prompt( "Specify name of LoadTest", "New LoadTest", 
      		"LoadTest " + (testCase.getLoadTestCount()+1) );
      if( name == null ) return;
      
      WsdlLoadTest loadTest = testCase.addNewLoadTest( name );
      UISupport.selectAndShow( loadTest );
   }
}
