/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.panels.support;

import com.eviware.soapui.impl.wsdl.testcase.WsdlTestCase;
import com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStep;
import com.eviware.soapui.model.support.AbstractSubmitContext;
import com.eviware.soapui.model.testsuite.TestRunContext;
import com.eviware.soapui.model.testsuite.TestRunner;
import com.eviware.soapui.model.testsuite.TestStep;

public class MockTestRunContext extends AbstractSubmitContext implements TestRunContext
{
	private final MockTestRunner mockTestRunner;
	private final WsdlTestStep testStep;

	public MockTestRunContext(MockTestRunner mockTestRunner, WsdlTestStep testStep )
	{
		this.mockTestRunner = mockTestRunner;
		this.testStep = testStep;
		setProperty( "log", mockTestRunner.getLog() );
	}

	public TestStep getCurrentStep()
	{
		return testStep;
	}

	public int getCurrentStepIndex()
	{
		return testStep.getTestCase().getIndexOfTestStep( testStep );
	}

	public TestRunner getTestRunner()
	{
		return mockTestRunner;
	}

	public Object getProperty(String name)
	{
		return getProperty( name, testStep, (WsdlTestCase) testStep.getTestCase() );
	}

	public Object getProperty(String testStepName, String propertyName)
	{
		TestStep ts = testStep.getTestCase().getTestStepByName( testStepName );
		return ts == null ? null : ts.getPropertyValue( propertyName );
	}
}