/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */
 
package com.eviware.soapui.model.testsuite;

import com.eviware.soapui.model.ModelItem;

/**
 * A TestStep in a TestCase
 * 
 * @author Ole.Matzura
 */

public interface TestStep extends ModelItem
{
   public TestCase getTestCase();

   public void prepare( TestRunner testRunner, TestRunContext testRunContext );
   
   public void finish( TestRunner testRunner, TestRunContext testRunContext );
   
	public boolean cancel();

	public TestStepResult run( TestRunner testRunner, TestRunContext testRunContext );
	
	public String [] getPropertyNames();
	
	public void setPropertyValue( String name, String value );
	
	public String getPropertyValue( String name );
	
	public TestStepProperty getProperty( String name );
}
