package com.eviware.soapui.impl.wsdl;

import java.io.File;

import junit.framework.TestCase;

import com.eviware.soapui.impl.wsdl.WsdlAttachmentPart;
import com.eviware.soapui.impl.wsdl.WsdlInterface;
import com.eviware.soapui.impl.wsdl.WsdlOperation;
import com.eviware.soapui.impl.wsdl.WsdlProject;
import com.eviware.soapui.impl.wsdl.WsdlRequest;

public class AttachmentTestCase extends TestCase
{
   public void test() throws Exception
   {
   	String wsdlUrl = new File( "src/test-resources/attachment-test.wsdl" ).toURL().toString();
   	WsdlProject project = new WsdlProject();
   	WsdlInterface iface = project.importWsdl( wsdlUrl, false )[0];

   	WsdlOperation operation = (WsdlOperation) iface.getOperationByName( "SendClaim" );
   	WsdlRequest request = operation.addNewRequest( "Test" );
   	
   	request.setRequestContent( operation.createRequest( true ));
   	
   	System.out.println( request.getRequestContent() );
   	
   	WsdlAttachmentPart[] definedAttachmentParts = request.getDefinedAttachmentParts();
   	
   	assertEquals( definedAttachmentParts.length, 4 );
   	assertEquals( definedAttachmentParts[0].getName(), "ClaimPhoto" );
   	
   	/*
		XmlCursor cursor = xmlObject.newCursor(); //xmlObject.changeType( docType ).newCursor();
		while( !cursor.isEnddoc() )
		{
			if( cursor.isContainer() )
			{
				String attributeText = cursor.getAttributeText( new QName( "http://www.w3.org/2004/11/xmlmime", "contentType"));
				if( attributeText != null )
					System.out.println( "contentType: " + attributeText);
				
				SchemaType schemaType = cursor.getObject().schemaType();
				if( schemaType != null && schemaType.getName().equals( new QName("http://ws-i.org/profiles/basic/1.1/xsd","swaRef")) )
				{
					System.out.println( cursor.getTextValue() );
				}
			}
			
			cursor.toNextToken();
			
		}*/
   }
}
